import uuid
import datetime

now = datetime.datetime.now()

default_year = str(now.year)
default_month = str('{:02d}'.format(now.month))
default_day = str('{:02d}'.format(now.day))
default_hour_start = "20"
default_minute_start = "00"
default_hour_end = "22"
default_minute_end = "00"
default_name = "freitalk"
default_contact = "info@chaotikum.org"
default_organizer = "Chaotikum"
default_location = "Augenprüfraum"

year = input('Enter Event Year (YYYY)['+default_year+']: ')
year = year or default_year

month = input('Enter Event Month (MM)['+default_month+']: ')
month = month or default_month

day = input('Enter Event Day (DD)['+default_day+']: ')
day = day or default_day

hour_start = input('Enter Event Start Hour (hh)['+default_hour_start+']: ')
hour_start = hour_start or default_hour_start

minute_start = input('Enter Event Start Minute (mm)['+default_minute_start+']: ')
minute_start = minute_start or default_minute_start

hour_end= input('Enter Event End Hour (hh)['+default_hour_end+']: ')
hour_end = hour_end or default_hour_end

minute_end = input('Enter Event End Minute (mm)['+default_minute_end+']: ')
minute_end = minute_end or default_minute_end

name = input('Enter Event Name (i.e. "Open Space, OSM-Stammtisch, FFHL-Orga...") ['+default_name+']: ')
name = name or default_name

contact = input('Enter Contact Email ['+default_contact +']: ')
contact = contact or default_contact

organizer = input('Enter Organizer (i.e. Chaotikum, Nook-Orga, OSM, Softwerkskammer,...) ['+default_organizer +']: ')
organizer = organizer or default_organizer

location = input('Enter Location (i.e. Augenprüfraum, Wartezimmer, Lager) ['+default_location +']: ')
location = location or default_location

pretix = input('Enter pretix-url: ')

short = input('Enter Description: ')

poster = input('Enter Poster-URL: ')

the_id = str(uuid.uuid4())

filetext = '---\n'
filetext = filetext + 'layout: event\n'
filetext = filetext + 'title: '+name+'\n'
filetext = filetext + 'image: "/assets/wall.png"\n'
filetext = filetext + 'eventdate: '+year+'-'+month+'-'+day+' '+hour_start+':'+minute_start+':00 +0200\n'
filetext = filetext + 'eventend: '+year+'-'+month+'-'+day+' '+hour_end+':'+minute_end+':00 +0200\n'
if pretix:
    filetext = filetext + 'pretix: '+pretix+'\n'
filetext = filetext + 'uid: '+the_id+'\n'
if poster:
    filetext = filetext + 'poster: '+poster+'\n'
filetext = filetext + 'contact: '+contact+'\n'
filetext = filetext + 'recording: false\n'
filetext = filetext + 'locations:\n'
filetext = filetext + ' - '+location+'\n'
filetext = filetext + 'short: "'+short+'"\n'
filetext = filetext + '---\n'

print(filetext)

filename = year+month+day+'-'+("".join(name.split()))

f= open('../_events/'+filename+'.markdown','w+')
f.write(filetext)
f.close()
